function flag=inhulltest(trial,vertices,Tol)
%Test whether vector trial is in the convex hull of vertices.
%Vertices are stored in a table with each column corresponding to a vertex.
%Tol is the numerical tolerance.
%The outcome is false if trial is nonredundant, i.e., outside of the hull of vertices.

param.msglev=0;
n=size(vertices,2);
A=[vertices;ones(1,n)];
b=[trial;1];
lb=zeros(n,1);
param.msglev = 0; %Turns off messages of glpk
[xopt, fmin,status]= glpk(ones(n,1),A,b,lb,[],[],[],[],param);%the linear programming code may produce some errors (you may ignore them)
if any(isna(xopt)) || abs(sum(xopt)-1)>Tol || min(xopt+Tol)<0 || max(abs(trial-vertices*xopt))>Tol
flag=false;

else
flag=true;
end

